> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.reka.ai/vision/api-reference/video-management/get-videos/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.reka.ai/_mcp/server. # List Videos GET https://vision-agent.api.reka.ai/v1/videos List videos or retrieve specific videos by IDs. Reference: https://docs.reka.ai/vision/api-reference/video-management/get-videos ## Authentication - `X-Api-Key` header (required) — API key authentication via X-Api-Key header - `Authorization` header (bearer token, required) — Bearer token authentication via Authorization header ## Request ### Query parameters - `ids` (list of string, optional, nullable) — Filter by specific video IDs ## Response ### 200 Successful Response - `results` (list of VideosGetResponseChunk, required) — List of video results ## Types ### VideosGetResponseChunk - `video_id` (string, required) — Unique identifier for the video - `url` (string, required) — Presigned S3 URL to access the video - `metadata` (VideoMetadata, optional, nullable) — Metadata for a video - `indexing_status` (enum, optional, nullable) — Status of video indexing - Allowed values: `pending`, `indexing`, `indexed`, `failed` - `indexing_type` (enum, optional, nullable) — Type of indexing applied to the video - Allowed values: `fast_search`, `qa_and_search`, `qa`, `reels` - `group_id` (string, optional, nullable) — Group ID if video belongs to a group ### VideoMetadata - `width` (integer, optional, nullable) — Width of the video in pixels - `height` (integer, optional, nullable) — Height of the video in pixels - `avg_fps` (double, optional, nullable) — Average frames per second - `video_name` (string, optional, nullable) — Name of the video - `title` (string, optional, nullable) — Title of the video - `video_start_timestamp_utc_ms` (integer, optional, nullable) — Start timestamp in milliseconds - `duration` (double, optional, nullable) — Duration of the video in seconds - `thumbnail` (string, optional, nullable) — URL to the video thumbnail - `thumbnails` (string, optional, nullable) — URL, typically VTT, pointing to generated storyboard thumbnails - `description` (string, optional, nullable) — Description of the video - `source` (string, optional, nullable) — Source path or URL of the video ## Examples **Response** ```json { "results": [ { "video_id": "550e8400-e29b-41d4-a716-446655440000", "url": "https://s3.amazonaws.com/bucket/video.mp4?presigned=...", "metadata": { "width": 1920, "height": 1080, "avg_fps": 23.976023976023978, "video_name": "Kathy test", "title": "Kathy test", "video_start_timestamp_utc_ms": 1, "duration": 641.939, "thumbnail": "https://demo-videos-bucket-reka.s3.eu-west-2.amazonaws.com/None/images/{image_id}", "thumbnails": "https://demo-videos-bucket-reka.s3.eu-west-2.amazonaws.com/user/videos/video-id/thumbnails.vtt", "description": "Uploaded video file: home/kathy/vids/tuscany.mp4", "source": "home/kathy/vids/tuscany.mp4" }, "indexing_status": "indexing", "indexing_type": "fast_search", "group_id": "string" } ] } ``` **SDK Code** ```python import requests url = "https://vision-agent.api.reka.ai/v1/videos" headers = {"X-Api-Key": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://vision-agent.api.reka.ai/v1/videos'; const options = {method: 'GET', headers: {'X-Api-Key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://vision-agent.api.reka.ai/v1/videos" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-Api-Key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://vision-agent.api.reka.ai/v1/videos") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-Api-Key"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://vision-agent.api.reka.ai/v1/videos") .header("X-Api-Key", "") .asString(); ``` ```php request('GET', 'https://vision-agent.api.reka.ai/v1/videos', [ 'headers' => [ 'X-Api-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://vision-agent.api.reka.ai/v1/videos"); var request = new RestRequest(Method.GET); request.AddHeader("X-Api-Key", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["X-Api-Key": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://vision-agent.api.reka.ai/v1/videos")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Documentation for Reka AI APIs.